/* Main List */
dl.debug {
    bottom: 28px;
    left: -1px;
    max-width: calc(100% + 2px);
    position: absolute;
}

dl.debug dt.title,
dl.subtable dt.subtitle {
    background-color: #444444;
    border: 1px solid #000000;
    border-left-style: none;
    border-top-style: none;
    color: #ffffff;
    float: left;
    height: 20px;
    line-height: 20px;
    padding: 0 5px;
}

dl.subtable dt.subtitle {
    border-bottom-style: none;
}

dl.debug dt.title:first-of-type {
    border-left-style: solid;
}

dl.debug dt.title.sel,
dl.subtable dt.subtitle.sel {
    background-color: #cccccc;
    color: #111111;
}

dl.debug dt.title:hover,
dl.subtable dt.subtitle:hover {
    background-color: #888888;
    color: #111111;
    cursor: pointer;
}

dl.debug dd.cell {
    background-color: #eeeeee;
    border: 1px solid #000000;
    color: #111111;
    max-height: 400px;
    overflow: auto;
}

dl.subtable dd.subcell {
    border-top: 1px solid #cccccc;
    clear: left;
}

dl.debug dd.cell ul,
dl.debug dd.cell dl {
    line-height: 14px;
}

/* User */
dl.debug dd.user {
    width: 300px;
}

dl.debug dd.user dl {
    margin: 3px;
}

dl.debug dd.user dt,
dl.debug dd.user dd,
dl.debug dd.user dd a,
dl.debug dd.user dd span {
    height: 15px;
    line-height: 15px;
}

dl.debug dd.user dt {
    float: left;
    margin-right: 3px;
}

dl.debug dd.user dd {
    white-space: nowrap;
}

dl.debug dd.user a {
    color: #111111;
}

dl.debug dd.user a:hover {
    color: #666666;
}

dl.debug dd.user dd a,
dl.debug dd.user dd span {
    display: inline-block;
}

dl.debug dd.user dd span:before,
dl.debug dd.user dd span:after {
    vertical-align: unset;
}

/* Policies */
dl.debug dd.policies ul.policies {
    margin: 3px;
    padding-left: 20px;
}

dl.debug dd.policies ul {
    padding-left: 15px;
}

dl.debug dd.policies li {
    float: none;
    list-style-type: disc;
}

dl.debug dd.policies span.on {
    color: #006600;
}

dl.debug dd.policies span.off {
    color: #660000;
}

dl.debug dd.policies span.grouping {
    color: #000066;
}

/* Session */
dl.debug dd.session pre {
    margin: 0;
}

/* Queries */
dl.queries .headline {
    float: left;
    padding: 3px;
}

dl.queries dt.headline {
    border-left: 1px dashed #cccccc;
    padding-right: 0;
}

dl.queries .headline:first-child {
    border-left-style: none;
    margin-left: 0;
}

dl.queries dt.query,
dl.queries dd.query.summary {
    border-top: 1px dashed #cccccc;
    float: left;
    padding: 3px 0;
}

dl.queries dt.query {
    -webkit-user-select: none;
    user-select: none;
    width: 85px;
}

dl.queries dd.query.summary {
    width: calc(100% - 88px);
}

dl.queries dt.query,
dl.queries dd.query.sql {
    clear: left;
    padding-left: 3px;
}

dl.queries dd.query.sql {
    padding-right: 3px;
}

dl.queries code {
    margin: 0;
    padding-bottom: 3px;
}

dl.queries .okay {
    background-color: #badabf;
}

dl.queries .warn {
    background-color: #f4dc8c;
}

dl.queries .bad {
    background-color: #de9396;
}

dl.queries .none {
    font-style: italic;
    padding: 2px 0;
    text-align: center;
}

/* Benchmark */
dl.debug dd.benchmark {
    padding: 3px;
}

dl.debug dd.benchmark ul {
    padding-left: 20px;
}

dl.debug dd.benchmark ul ul {
    padding-left: 15px;
}

dl.debug dd.benchmark li.name {
    list-style-type: disc;
    overflow-x: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    width: 150px;
}

dl.debug dd.benchmark li:not(.name) {
    list-style-type: none;
}

dl.debug dd.benchmark li.name,
dl.debug dd.benchmark li.children {
    clear: left;
}

dl.debug dd.benchmark li.runtime,
dl.debug dd.benchmark li.percentage {
    text-align: center;
    width: 50px;
}

/* phpInfo() */
dl.debug dd.phpinfo,
dl.debug dd.phpinfo a {
    background-color: #ffffff;
    color: #000000;
}

dl.debug dd.phpinfo {
    font-size: 15px;
    line-height: 12px;
}
